Subject: tcp wifi upload performance and lots of ACKs

From: Ben Greear <[email-masked]>
Date: Mon, 04 Jun 2012 11:29:10 -0700

I'm going some TCP performance testing on wifi -> LAN interface connections.  With
UDP, we can get around 250Mbps of payload throughput.  With TCP, max is about 80Mbps.

I think the problem is that there are way too many ACK packets, and bi-directional
traffic on wifi interfaces really slows things down.  (About 7000 pkts per second in
upload direction, 2000 pps download.  And the vast majority of the download pkts
are 66 byte ACK pkts from what I can tell.)

Kernel is 3.3.7+

Anyone know of any tuning parameters that would let the receiving socket wait a
bit longer and send more ACK data in fewer packets?

Packet traces and other info available if anyone wants to take a look.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com